<?php 
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('lamaran_users', function (Blueprint $table) {
            $table->id(); // primary key
            $table->string('name');
            $table->integer('usia');
            $table->string('pendidikan');
            $table->decimal('ipk', 3, 2);
            $table->string('jurusan');
            $table->integer('lama_studi');
            $table->integer('pengalaman');
            $table->boolean('serkom'); // 0 atau 1
            $table->string('cv')->nullable();
            $table->longText('dokumen_pendukung')->nullable();
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('lamaran_users');
    }
};
